Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.management
Class JMSConsumerStatsImpl

    java.lang.Object
      org.codehaus.activemq.management.StatsImpl
          org.codehaus.activemq.management.JMSEndpointStatsImpl
              org.codehaus.activemq.management.JMSConsumerStatsImpl

All Implemented Interfaces:
  JMSConsumerStats, JMSEndpointStats, Resettable, Stats

public class JMSConsumerStatsImpl
extends JMSEndpointStatsImpl
implements JMSConsumerStats

Statistics for a JMS consumer

Version:
  $Revision: 1.7 $

Field Summary

Fields inherited from class org.codehaus.activemq.management.JMSEndpointStatsImpl
`expiredMessageCount, messageCount, messageRateTime, messageWaitTime, pendingMessageCount`

Constructor Summary
`JMSConsumerStatsImpl(CountStatisticImpl messageCount, CountStatisticImpl pendingMessageCount, CountStatisticImpl expiredMessageCount, TimeStatisticImpl messageWaitTime, TimeStatisticImpl messageRateTime, java.lang.String origin)`
`JMSConsumerStatsImpl(JMSSessionStatsImpl sessionStats, Destination destination)`

Method Summary
`void` | `dump(IndentPrinter out)`
`java.lang.String` | `getOrigin()`
`java.lang.String` | `toString()`

Methods inherited from class org.codehaus.activemq.management.JMSEndpointStatsImpl
`getExpiredMessageCount, getMessageCount, getMessageWaitTime, getPendingMessageCount, onMessage, setParent, setParent`

Methods inherited from class org.codehaus.activemq.management.StatsImpl
`addStatistic, getStatistic, getStatisticNames, getStatistics, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.JMSEndpointStats
`getExpiredMessageCount, getMessageCount, getMessageWaitTime, getPendingMessageCount`

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Constructor Detail

### JMSConsumerStatsImpl

    public JMSConsumerStatsImpl(JMSSessionStatsImpl sessionStats,
                                Destination destination)

### JMSConsumerStatsImpl

    public JMSConsumerStatsImpl(CountStatisticImpl messageCount,
                                CountStatisticImpl pendingMessageCount,
                                CountStatisticImpl expiredMessageCount,
                                TimeStatisticImpl messageWaitTime,
                                TimeStatisticImpl messageRateTime,
                                java.lang.String origin)

Method Detail

### getOrigin

    public java.lang.String getOrigin()

  Specified by:
    `getOrigin` in interface `JMSConsumerStats`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `JMSEndpointStatsImpl`

### dump

    public void dump(IndentPrinter out)

  Overrides:
    `dump` in class `JMSEndpointStatsImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.